[SCM] live-helper branch, debian-next, updated. debian/2.0_a7-1-9-g3c4ffc3

Daniel Baumann daniel at debian.org
Thu Feb 18 16:28:07 UTC 2010


The following commit has been merged in the debian-next branch:
commit 3c4ffc3c3e1235f7c67b9bff2ab05ed8fc80d03e
Author: Daniel Baumann <daniel at debian.org>
Date:   Thu Feb 18 17:24:07 2010 +0100

    Adding usb-zip as a binary flavour, part 2.

diff --git a/functions/defaults.sh b/functions/defaults.sh
index fab7cfa..a5712b7 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -757,7 +757,7 @@ Set_defaults ()
 				_LH_BOOTAPPEND_PRESEED="file=/cdrom/install/${LH_DEBIAN_INSTALLER_PRESEEDFILE}"
 				;;
 
-			usb-hdd)
+			usb*)
 				if [ "${LH_MODE}" = "ubuntu" ] || [ "${LH_DEBIAN_INSTALLER}" = "live" ]
 				then
 					_LH_BOOTAPPEND_PRESEED="file=/cdrom/install/${LH_DEBIAN_INSTALLER_PRESEEDFILE}"
@@ -780,14 +780,15 @@ Set_defaults ()
 		esac
 	fi
 
-	if [ "${LH_BINARY_IMAGES}" = "usb-hdd" ]
-	then
-		# Try USB block devices for install media
-		if ! echo "${LH_BOOTAPPEND_INSTALL}" | grep -q try-usb
-		then
-			LH_BOOTAPPEND_INSTALL="cdrom-detect/try-usb=true ${LH_BOOTAPPEND_INSTALL}"
-		fi
-	fi
+	case "${LH_BINARY_IMAGES}" in
+		usb*)
+			# Try USB block devices for install media
+			if ! echo "${LH_BOOTAPPEND_INSTALL}" | grep -q try-usb
+			then
+				LH_BOOTAPPEND_INSTALL="cdrom-detect/try-usb=true ${LH_BOOTAPPEND_INSTALL}"
+			fi
+			;;
+	esac
 
 	if [ -n ${_LH_BOOTAPPEND_PRESEED} ]
 	then
@@ -1028,16 +1029,17 @@ Check_defaults ()
 		esac
 	fi
 
-	if [ "${LH_BINARY_IMAGES}" = "usb-hdd" ]
-	then
-		# grub or yaboot + usb-hdd
-		case "${LH_BOOTLOADER}" in
-			grub|yaboot)
-				Echo_error "You have selected a combination of bootloader and image type that is currently not supported by live-helper. Please use either another bootloader or a different image type."
-				exit 1
-				;;
-		esac
-	fi
+	case "${LH_BINARY_IMAGES}" in
+		usb*)
+			# grub or yaboot + usb
+			case "${LH_BOOTLOADER}" in
+				grub|yaboot)
+					Echo_error "You have selected a combination of bootloader and image type that is currently not supported by live-helper. Please use either another bootloader or a different image type."
+					exit 1
+					;;
+			esac
+			;;
+	esac
 
 	if [ "$(echo ${LH_ISO_APPLICATION} | wc -c)" -gt 128 ]
 	then
diff --git a/helpers/binary_debian-installer b/helpers/binary_debian-installer
index cb1af38..d525ca6 100755
--- a/helpers/binary_debian-installer
+++ b/helpers/binary_debian-installer
@@ -83,7 +83,7 @@ case "${LH_BINARY_IMAGES}" in
 		DESTDIR="tftpboot/debian-install/${LH_ARCHITECTURE}"
 		;;
 
-	tar|usb-hdd)
+	usb*|tar)
 		DESTDIR="binary/install"
 		;;
 
@@ -601,10 +601,14 @@ EOF
 		ln -s ${LH_DEBIAN_INSTALLER_DISTRIBUTION} binary/dists/${DISTRIBUTION}
 	done
 
-	if [ "${LH_BINARY_IMAGES}" != "usb-hdd" ]
-	then
-		ln -s . binary/debian
-	fi
+	case "${LH_BINARY_IMAGES}" in
+		usb*)
+			;;
+
+		*)
+			ln -s . binary/debian
+			;;
+	esac
 
 	# Including preseeding files
 	if Find_files config/binary_debian-installer/*.cfg
diff --git a/helpers/binary_disk b/helpers/binary_disk
index 2bbd73d..8116734 100755
--- a/helpers/binary_disk
+++ b/helpers/binary_disk
@@ -24,7 +24,7 @@ Read_conffiles config/all config/common config/bootstrap config/chroot config/bi
 Set_defaults
 
 case "${LH_BINARY_IMAGES}" in
-	iso|usb-hdd)
+	iso|usb*)
 		;;
 	*)
 		exit 0
diff --git a/helpers/binary_grub b/helpers/binary_grub
index 35fa43d..b3f9ba1 100755
--- a/helpers/binary_grub
+++ b/helpers/binary_grub
@@ -142,7 +142,7 @@ case "${LH_BINARY_IMAGES}" in
 		DESTDIR_INSTALL="binary/install"
 		;;
 
-	usb-hdd|net)
+	usb*|net)
 		Echo_warning "Bootloader in this image type not yet supported by live-helper."
 		Echo_warning "This would produce a not bootable image, aborting (FIXME)."
 		exit 1
@@ -280,7 +280,7 @@ case ${LH_BINARY_IMAGES} in
 		FILES="chroot/usr/lib/grub/*/stage2_eltorito"
 		;;
 
-	tar|usb-hdd)
+	usb*|tar)
 		FILES="chroot/usr/lib/grub/*/stage1 chroot/usr/lib/grub/*/e2fs_stage1_5 chroot/usr/lib/grub/*/stage2"
 		;;
 esac
diff --git a/helpers/binary_grub2 b/helpers/binary_grub2
index 76b9373..0cf0618 100755
--- a/helpers/binary_grub2
+++ b/helpers/binary_grub2
@@ -116,7 +116,7 @@ case "${LH_BINARY_IMAGES}" in
 		DESTDIR_INSTALL="binary/install"
 		;;
 
-	usb-hdd|net)
+	usb*|net)
 		Echo_warning "Bootloader in this image type not yet supported by live-helper."
 		Echo_warning "This would produce a not bootable image, aborting (FIXME)."
 		exit 1
@@ -253,7 +253,7 @@ case ${LH_BINARY_IMAGES} in
 		FILES="chroot/usr/lib/grub/i386-pc/*.mod chroot/usr/lib/grub/i386-pc/*.lst chroot/usr/lib/grub/i386-pc/efiemu??.o chroot/usr/share/grub/*.pf2"
 		;;
 
-	tar|usb-hdd)
+	usb*|tar)
 		FILES="chroot/usr/lib/grub/i386-pc/*"
 		;;
 esac
diff --git a/helpers/binary_includes b/helpers/binary_includes
index 196f902..e37f4df 100755
--- a/helpers/binary_includes
+++ b/helpers/binary_includes
@@ -80,14 +80,15 @@ case "${LH_ARCHITECTURE}" in
 esac
 
 # Working arround vfat limitations
-if [ "${LH_BINARY_IMAGE}" = "usb-hdd" ]
-then
-	case "${LH_BINARY_FILESYSTEM}" in
-		fat*)
-			CP_OPTIONS="-L"
-			;;
-	esac
-fi
+case "${LH_BINARY_IMAGES}" in
+	usb*)
+		case "${LH_BINARY_FILESYSTEM}" in
+			fat*)
+				CP_OPTIONS="-L"
+				;;
+		esac
+		;;
+esac
 
 # Copying common templates
 if [ -d "${LH_INCLUDES}"/"${LH_DISTRIBUTION}"/common ] && \
diff --git a/helpers/binary_local-includes b/helpers/binary_local-includes
index 63986ae..44f93c9 100755
--- a/helpers/binary_local-includes
+++ b/helpers/binary_local-includes
@@ -45,10 +45,11 @@ then
 	cd "${OLDPWD}"
 
 	# Removing symlinks
-	if [ "${LH_BINARY_IMAGES}" = "usb-hdd" ]
-	then
-		find binary -type l | xargs rm -f
-	fi
+	case "${LH_BINARY_IMAGES}" in
+		usb*)
+			find binary -type l | xargs rm -f
+			;;
+	esac
 
 	# Creating stage file
 	Create_stagefile .stage/binary_local-includes
diff --git a/helpers/binary_silo b/helpers/binary_silo
index d79d0b7..df7ee10 100755
--- a/helpers/binary_silo
+++ b/helpers/binary_silo
@@ -30,7 +30,7 @@ fi
 
 # Check image type
 case "${LH_BINARY_IMAGES}" in
-	iso|usb-hdd|tar)
+	iso|usb*|tar)
 		;;
 
 	net)
@@ -225,7 +225,7 @@ fi
 LINUX_INSTALL="$(/bin/echo ${LINUX_INSTALL} | sed -e 's|binary||g' -e 's|//|/|g')"
 
 case "${LH_BINARY_IMAGES}" in
-	iso|usb-hdd)
+	iso|usb*)
 		# Copying silo
 		mkdir -p binary/boot
 
diff --git a/helpers/binary_syslinux b/helpers/binary_syslinux
index ba7f9d5..9d4cab1 100755
--- a/helpers/binary_syslinux
+++ b/helpers/binary_syslinux
@@ -90,7 +90,7 @@ Syslinux_live_entry ()
 	APPEND="${5}"
 
 	case "${LH_BINARY_IMAGES}" in
-		iso|usb-hdd)
+		iso|usb*)
 			NUMBER="$(ls -1 ${KERNEL_PATH} | grep 'vmlinuz[0-9]\+$' | wc -l)"
 			NUMBER="$((${NUMBER} +1))"
 
@@ -334,7 +334,7 @@ Configure_syslinux_templates ()
 	done
 
 	case "${LH_BINARY_IMAGES}" in
-		usb-hdd)
+		usb*)
 			if [ -f "${SYSLINUX_PATH}/exithelp.cfg" ]
 			then
 				sed -i -e "s|config isolinux.cfg|config syslinux.cfg|" "${SYSLINUX_PATH}"/exithelp.cfg
@@ -387,7 +387,7 @@ case "${LH_BINARY_IMAGES}" in
 		MEDIA="netboot"
 		;;
 
-	tar|usb-hdd)
+	usb*|tar)
 		SYSLINUX_PATH="binary/syslinux"
 		KERNEL_PATH="binary/${INITFS}"
 		SCREEN_PATH="${SYSLINUX_PATH}"
@@ -631,7 +631,7 @@ case "${LH_BINARY_IMAGES}" in
 		fi
 		;;
 
-	tar|usb-hdd)
+	usb*|tar)
 		case "${LH_CHROOT_BUILD}" in
 			true)
 				cp chroot/usr/lib/syslinux/isolinux.bin ${SCREEN_PATH}/syslinux.bin
diff --git a/helpers/binary_yaboot b/helpers/binary_yaboot
index fdd857d..ef44e6e 100755
--- a/helpers/binary_yaboot
+++ b/helpers/binary_yaboot
@@ -149,7 +149,7 @@ case "${LH_BINARY_IMAGES}" in
 		DESTDIR_INSTALL="binary/install"
 		;;
 
-	net|tar|usb-hdd)
+	usb*|net|tar)
 		Echo_error "not yet supported, aborting (FIXME)."
 		exit 1
 	;;
@@ -272,7 +272,7 @@ fi
 LINUX_INSTALL="$(/bin/echo ${LINUX_INSTALL} | sed -e 's|binary||g' -e 's|//|/|g')"
 
 case "${LH_BINARY_IMAGES}" in
-	iso|usb-hdd)
+	iso|usb*)
 		# Copying yaboot
 		mkdir -p binary/yaboot
 
@@ -288,13 +288,14 @@ case "${LH_BINARY_IMAGES}" in
 
 		cp -r "${TEMPLATES}"/* binary/yaboot
 
-		if [ "${LH_BINARY_IMAGES}" = "usb-hdd" ]
-		then
-			mv binary/yaboot/yaboot.conf binary/yaboot/yaboot.conf.tmp
-			echo "root=/dev/ram" > binary/yaboot/yaboot.conf
-			cat binary/yaboot/yaboot.conf.tmp >> binary/yaboot/yaboot.conf
-			rm -f binary/yaboot/yaboot.conf.tmp
-		fi
+		case "${LH_BINARY_IMAGES}" in
+			usb*)
+				mv binary/yaboot/yaboot.conf binary/yaboot/yaboot.conf.tmp
+				echo "root=/dev/ram" > binary/yaboot/yaboot.conf
+				cat binary/yaboot/yaboot.conf.tmp >> binary/yaboot/yaboot.conf
+				rm -f binary/yaboot/yaboot.conf.tmp
+				;;
+		esac
 
 		# Configure yaboot templates
 		sed -i -e "s|LINUX_LIVE|${LINUX_LIVE}|" -e "s|LINUX_INSTALL|${LINUX_INSTALL}|" binary/yaboot/yaboot.conf

-- 
live-helper



More information about the debian-live-changes mailing list